Option Explicit

Sub test6()
PdfPrint6 "A.PDF"
End Sub

Sub PdfPrint6(File)
Dim wShell As Object
Dim Path As String
Dim PID As Long

Set wShell = CreateObject("WScript.Shell")
Path = wShell.RegRead("HKLM\Software\Microsoft\Windows\CurrentVersion\App Paths\acrord32.exe\")
Path = Replace(Path, """", "")
Path = wShell.ExpandEnvironmentStrings(Path)
PID = Shell("""" & Path & """ /n /p /h """ & File & """")
Do While Not wShell.AppActivate(PID)
  Application.Wait Now + TimeSerial(0, 0, 1)
Loop
Do While wShell.AppActivate(PID)
  wShell.SendKeys "^q"
  Application.Wait Now + TimeSerial(0, 0, 1)
Loop
End Sub

Sub test7()
PdfPrint7 "A.PDF", "A.PDF"
End Sub

Sub PdfPrint7(ParamArray Files() As Variant)
Dim wShell As Object
Dim Path As String
Dim pExec As Object
Dim File  As Variant
Dim oExec As Object

Set wShell = CreateObject("WScript.Shell")
Path = wShell.RegRead("HKLM\Software\Microsoft\Windows\CurrentVersion\App Paths\acrord32.exe\")
Path = Replace(Path, """", "")
Path = wShell.ExpandEnvironmentStrings(Path)
Set pExec = wShell.Exec("""" & Path & """ /n /h""")
Do While Not wShell.AppActivate(pExec.ProcessID)
  Application.Wait Now + TimeSerial(0, 0, 1)
Loop
For Each File In Files
  Set oExec = wShell.Exec("""" & Path & """ /n /t """ & File & """")
  Do While oExec.Status = 0
    Application.Wait Now + TimeSerial(0, 0, 1)
  Loop
Next
If pExec.Status = 0 Then pExec.Terminate
End Sub

Sub test8()
PdfPrint8 "A.PDF", "A.PDF"
End Sub

Sub PdfPrint8(ParamArray Files() As Variant)
Dim fso As Object
Dim PDF As Object
Dim File As Variant
Dim ChannelNumber As Long
Dim DisplayAlerts As Boolean

Set fso = CreateObject("Scripting.FileSystemObject")
Set PDF = CreateObject("AcroExch.Document")
DisplayAlerts = Application.DisplayAlerts
Application.DisplayAlerts = False
ChannelNumber = Application.DDEInitiate("Acroview", "Control")
Application.DisplayAlerts = DisplayAlerts
For Each File In Files
  File = fso.GetFile(File).Path
  Application.DDEExecute ChannelNumber, "[FilePrintSilent(""" & File & """)]"
Next
Application.DDETerminate ChannelNumber
End Sub


